System.ServiceModel 4.0.0.0 System.Enum

You can get the property to determine why a message failed delivery and was sent to the dead-letter queue. For additional information about message processing in a dead-letter queue, see Using Dead-Letter Queues to Handle Message Transfer Failures.

Specifies the possible types of delivery failure for a message read from the queue.

- Field
  4.0.0.0
  System.ServiceModel.Channels.DeliveryFailure

  The sender does not have access rights to place messages in the destination queue.

- Field
  4.0.0.0
  System.ServiceModel.Channels.DeliveryFailure

  The destination queue was not found.

- Field
  4.0.0.0
  System.ServiceModel.Channels.DeliveryFailure

  The destination queue manager cannot decrypt the message.

- Field
  4.0.0.0
  System.ServiceModel.Channels.DeliveryFailure

  The destination queue manager cannot authenticate the message because the attached signature is invalid.

- Field
  4.0.0.0
  System.ServiceModel.Channels.DeliveryFailure

  The source queue manager cannot encrypt the message.

- Field
  4.0.0.0
  System.ServiceModel.Channels.DeliveryFailure

  The message hop count was exceeded, which indicates the number of intermediate servers.

- Field
  4.0.0.0
  System.ServiceModel.Channels.DeliveryFailure

  A nontransactional message was sent to a transactional queue.

- Field
  4.0.0.0
  System.ServiceModel.Channels.DeliveryFailure

  A transactional message was sent to a nontransactional queue.

- Field
  4.0.0.0
  System.ServiceModel.Channels.DeliveryFailure

  The message was purged before reaching the destination queue.

- Field
  4.0.0.0
  System.ServiceModel.Channels.DeliveryFailure

  The destination queue was deleted before the message could be delivered to the application.

- Field
  4.0.0.0
  System.ServiceModel.Channels.DeliveryFailure

  The message was not delivered because the destination queue is full.

- Field
  4.0.0.0
  System.ServiceModel.Channels.DeliveryFailure

  The queue was purged and the message no longer exists.

- Field
  4.0.0.0
  System.ServiceModel.Channels.DeliveryFailure

  The message did not reach the destination queue before timing out.

- Field
  4.0.0.0
  System.ServiceModel.Channels.DeliveryFailure

  The message was not delivered to the application on time.

- Field
  4.0.0.0
  System.ServiceModel.Channels.DeliveryFailure

  An unknown error occurred.